/*
Theme Name:   CodingeekTheme
Description:  Codingeek Theme
Author:       Hitesh Garg
Author URL:   http://www.codingeek.com
Template:     point
Version:      1.0
Text Domain:  CodingeekTheme
*/

/* Write here your own personal stylesheet */
.hit-code-sample {
    font-size: 14px;
    border-radius: 4px;
    box-shadow: 0px 2px 0px #b7ccb4;
    width: 100%;
    margin-bottom: 2rem;
    margin-top: 0;
    padding: 5px 10px;
    background-color: #83a77e21;
    line-height: 1.4rem;
    color: #0f5e0ae0 !important;
}

.hit-pseudocode {
    font-size: 14px;
    border-radius: 4px;
    box-shadow: 0px 2px 0px #b7ccb4;
    width: 100%;
    margin-bottom: 2rem;
    margin-top: 0;
    padding: 5px 10px;
    background-color: #83a77e21;
    line-height: 1.4rem;
    color: #0f5e0ae0 !important;
}


.output{
    font-size: 14px;	
    border-radius: 4px;
    box-shadow: 0px 4px 2px #d2d7db;
    width: 100%;
    margin-bottom: 2rem;
    margin-top: 0px;
	padding: 5px 10px;
    background-color: #bbbaba33;
	line-height: 1.4rem;
}
code{	
	padding: 0px 4px;
	background-color: rgb(232 236 232);
    color: #0d5d08;
    box-shadow: 0px 1px 0px;
}

.title {
	color: #123a0e;
}

.primary-navigation a{
	color: #164d0f;
}

#logo a {
    color: #0d3a08;
	font-family: cursive;
}

.trending-articles {
    background: #0b3a05;
	padding-top: 0.1rem;
    padding-bottom: 0.1rem;
}
.trending-articles li a {
    color: #c1d8b8;
	font-size: 14px;
    font-weight: 500;
}

h2 {
    font-size: 1.8rem;
    line-height: 1.4;
    margin-top: 2rem;
    margin-bottom: 1.2rem;
	color: #1c4c2d;
}
p {
	font-size: 1rem;
    margin-top: 0;
    line-height: 1.8rem;
    margin-bottom: 1.2rem;
}
h3, h4 {
    font-size: 1.5rem;
    line-height: 1.4;
    margin-top: 2rem;
    margin-bottom: 1.2rem;
	color: #1f4c1b;
}
h1,h2, h3, h4, h5, h6 {
    text-transform: none;
}

ul, ol{
	font-size: 1.1rem;
}
ul li, ol li {
    margin-bottom: 1rem;
}

.hit-ads{
	text-align:center;
	margin:auto;
	padding:10px;
}

.hit-tableWithBorder{
 border-collapse: collapse;
}
.hit-tableWithBorder td,.hit-tableWithBorder th {
  border: 1px solid black;
  padding: 0.5rem;
 }
.hit-tableWithBorder thead{
  background-color: #EEEEEE;
}

/*For styling links of archive pages*/
/* .h-tutorial-archive-list a {
 font-size : 15px;
color: blue;
}
.h-tutorial-archive-list li {
padding : 3px;
}
.h-tutorial-archive-list a:visited, .h-tutorial-archive-list a:active {
    color: brown;
    content: "\2713";
}
 */
/* for website width*/
.main-container, .site-header{
max-width: 1366px;
}
#page {
max-width: 1326px
}

@media screen and (max-width: 780px){
.article {
    width: 100%;
    float: left;
    margin-bottom: 10px;
    padding: 0;
}
.sidebar.c-4-12 {
    float: none;
    width: 100% !important;
    padding-left: 0;
    padding-right: 0;
    margin: 0 auto;
}
	
figure {
    margin: 1em 1em;
}
}
@media screen and (min-width: 780px){
.article {
    width: 70%;
    float: left;
    margin-bottom: 10px;
    padding: 0;
}
.sidebar.c-4-12 {
    float: right;
    width: 28%;
    padding: 0;
    line-height: 20px;
    max-width: 28%;
}
}
figcaption{
	text-align: center;
}

/* for editor - Enlighter*/
/* div.enlighter {
    font-size: 0.9rem !important;
} */

/* For the archive pages pages list */
/* List */
ul.h-tutorial-archive-list {
  counter-reset: index;  
  padding: 0;
}

/* List element */
.h-tutorial-archive-list li {
  counter-increment: index; 
  display: flex;
  align-items: center;
  padding-top: 12px;
  box-sizing: border-box;
}


/* Element counter */
.h-tutorial-archive-list li::before {
  content: counters(index, ".", decimal-leading-zero);
  font-size: 1.5rem;
  text-align: right;
  font-weight: bold;
  min-width: 50px;
  padding-right: 12px;
  font-variant-numeric: tabular-nums;
  align-self: flex-start;
  background-image: linear-gradient(to bottom, aquamarine, orangered);
  background-attachment: fixed;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}


/* Element separation */
.h-tutorial-archive-list li + li {
  border-top: 1px solid rgba(0,0,0,0.2);
}
.h-tutorial-archive-list a:visited, .h-tutorial-archive-list a:active {
    color: brown;
}
.h-tutorial-archive-list a:visited:after, .h-tutorial-archive-list a:active:after  {
   content:  "\2713";
}


/* Sidebar Menu */

.hit-accordion {
	margin: auto;
	width: 98%;
}
.hit-accordion input {
	display: none;
}
.hit-accordion .box {
	position: relative;
	background: white;
    height: auto;
    transition: all .15s ease-in-out;
}
	
	
.hit-accordion .box::before {
    content: '';
    position: absolute;
    display: block;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    pointer-events: none;
    box-shadow: 0 -1px 0 #e5e5e5,0 0 2px rgba(0,0,0,.12),0 2px 4px rgba(0,0,0,.24);
}
.hit-accordion header.box {
	background: #133a0f;
	z-index: 100;
	cursor: initial;
	box-shadow: 0 -1px 0 #e5e5e5,0 0 2px -2px rgba(0,0,0,.12),0 2px 4px -4px rgba(0,0,0,.24);
	padding: 0.5rem 0rem;
}

.hit-accordion header .box-title {
	margin: 0;
	font-weight: bold;
	font-size: 1.2rem;
	color: white;
	cursor: initial;
}
.hit-accordion .box-title {
	width: 100%;
	height: 2.4rem;
	line-height: 2.4rem;
	padding: 0px 1rem  0rem 2rem;
	display: inline-block;
	cursor: pointer;
	-webkit-touch-callout: none;-webkit-user-select: none;-khtml-user-select: none;-moz-user-select: none;-ms-user-select: none;user-select: none;
}
.hit-accordion .box-content {
	width: 100%;
    padding: 1rem 1rem 0.5rem 1rem;
	font-size: 11pt;
	color: rgba(0,0,0,.54);
	display: none;
}
.hit-accordion .box-close {
	position: absolute;
	height: 64px;
	width: 100%;
	top: 0;
	left: 0;
	cursor: pointer;
	display: none;
}
.hit-accordion input:checked + .box {
	height: auto;
    box-shadow: 0 0 6px rgba(0,0,0,.16),0 6px 12px rgba(0,0,0,.32);
}
.hit-accordion input:checked + .box .box-title {
	border-bottom: 1px solid rgba(0,0,0,.18);
}
.hit-accordion input:checked + .box .box-content,
.hit-accordion input:checked + .box .box-close {
	display: inline-block;
}
.hit-accordion section .box-title {
	padding-left: 44px;
	width: 100%;
	    color: #133a0f;
    font-weight: 600;
}
.hit-accordion section .box-title:before {
	position: absolute;
	display: block;
	content: '\203a';
	font-size: 18pt;
	left: 20px;
	top: -2px;
	transition: transform .15s ease-in-out;
	color: rgba(0,0,0,.54);
}
.hit-accordion input:checked + section.box .box-title:before {
	transform: rotate(90deg);
}

/* 
@media screen and (max-width: 780px){
    .hit-accordion {
	margin: auto;
	width: 70%;
	position: fixed;
	top:0px;
	float:left;
	right:0px;
    overflow-x:scroll;
    height:100%;
    z-index:100000;
    background-color:white;
	}

} */

